> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/attachments



## OpenAPI

````yaml /api-reference/attachment.openapi.json get /realms/{realmId}/organizations/{organizationId}/attachments
openapi: 3.0.3
info:
  title: Attachment
  version: 1.0.0
  description: >-
    Portão 3 attachment API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=2 copied:manual=0 unknown=5.
servers:
  - url: https://api.attachment.v2.portao3.com.br/
    description: production
  - url: https://api.attachment.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Attachments
paths:
  /realms/{realmId}/organizations/{organizationId}/attachments:
    get:
      tags:
        - Attachments
      summary: /realms/{realmId}/organizations/{organizationId}/attachments
      operationId: getRealmsByRealmIdOrganizationsByOrganizationIdAttachments
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: ids
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              minLength: 1
        - name: name
          in: query
          required: false
          schema:
            type: string
            maxLength: 256
        - name: summary
          in: query
          required: false
          schema:
            type: string
            maxLength: 256
        - name: search
          in: query
          required: false
          schema:
            type: string
            maxLength: 256
        - name: status
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - PENDING_UPLOAD
                - AVAILABLE
                - DELETED
        - name: next
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            exclusiveMinimum: true
            maximum: 100
      responses:
        default:
          description: Undocumented response (no code type, no existing spec).
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````